package org.apache.bcel.verifier.structurals;

import org.apache.bcel.generic.InstructionHandle;

public interface Subroutine {
   boolean contains(InstructionHandle var1);

   int[] getAccessedLocalsIndices();

   InstructionHandle[] getEnteringJsrInstructions();

   InstructionHandle[] getInstructions();

   InstructionHandle getLeavingRET();

   int[] getRecursivelyAccessedLocalsIndices();

   Subroutine[] subSubs();
}
